tvecrename(1)

NAME
tvecrename - Rename tvecs.

SYNOPSIS
renametvecs [-i infile] [-o outfile] [-s suff]
            [-R # nam1 rep1 ... namN repN]

DESCRIPTION
tvecrename renames tvecs given as arguments to -R, while leaving other tvecs in the input alone.

OPTIONS

-i infile
    Take input from infile, rather than stdin.

-o outfile
    Write tvecs to outfile, rather than stdout.

-R N nam1 rep1 ... namN repN
    Vectors with names namI are replaced with the associated repI string.

-s suff
    all vectors get suff suffixed to their names (including the renamed vectors!). By default no suffix is added to any name.

EXAMPLE

cat lu.tv QR.tv | tvcat -# 2 | tvecrename
    -R 2 MFLOP MFLOP_LU MFLOP_1 MFLOP_QR

BUGS
http://math-atlas.sourceforge.net/faq.html#help

SEE ALSO
atltvecs(7) tvecget(1) tvecunify() tveccat(1) tvecselect(1) tvecratio(1) tvecjoin(1) tvecscale(1) tvecreduce(1) tvecrename(1) tvecprint(1)

AUTHOR
R. Clint Whaley